package com.atguigu.spzx.manger;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@Slf4j
@MapperScan("com.atguigu.spzx.manger.mapper")
@EnableCaching// 开启缓存注解
@ComponentScan("com.atguigu")
@EnableScheduling
@SpringBootApplication
@EnableTransactionManagement // 开启注解方式的事务管理
public class MangerApplication {
    public static void main(String[] args) {
        SpringApplication.run(MangerApplication.class, args);
    }
}
